
From: Olaf Hering <olh@suse.de>

changing CONFIG_LOCALVERSION rebuilds too much, for no appearent reason.

remove code for obsolete kernels in ipw

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/ppp_mppe.c                          |    1 -
 drivers/net/wireless/hostap/hostap.c            |    1 -
 drivers/net/wireless/hostap/hostap_crypt_ccmp.c |    1 -
 drivers/net/wireless/hostap/hostap_crypt_tkip.c |    1 -
 drivers/net/wireless/hostap/hostap_crypt_wep.c  |    1 -
 drivers/net/wireless/hostap/hostap_cs.c         |    1 -
 drivers/net/wireless/hostap/hostap_hw.c         |    1 -
 drivers/net/wireless/hostap/hostap_pci.c        |    1 -
 drivers/net/wireless/hostap/hostap_plx.c        |    1 -
 drivers/net/wireless/ipw2100.c                  |    1 -
 drivers/net/wireless/ipw2100.h                  |    1 -
 drivers/net/wireless/ipw2200.c                  |    8 --------
 drivers/net/wireless/ipw2200.h                  |   10 ----------
 13 files changed, 29 deletions(-)

diff -puN drivers/net/ppp_mppe.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/ppp_mppe.c
--- devel/drivers/net/ppp_mppe.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/ppp_mppe.c	2005-07-30 00:45:00.000000000 -0700
@@ -44,7 +44,6 @@
 #include <linux/config.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
-#include <linux/version.h>
 #include <linux/init.h>
 #include <linux/types.h>
 #include <linux/slab.h>
diff -puN drivers/net/wireless/hostap/hostap.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap.c
--- devel/drivers/net/wireless/hostap/hostap.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap.c	2005-07-30 00:45:00.000000000 -0700
@@ -13,7 +13,6 @@
  */
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
diff -puN drivers/net/wireless/hostap/hostap_crypt_ccmp.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_crypt_ccmp.c
--- devel/drivers/net/wireless/hostap/hostap_crypt_ccmp.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_crypt_ccmp.c	2005-07-30 00:45:00.000000000 -0700
@@ -10,7 +10,6 @@
  */
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
diff -puN drivers/net/wireless/hostap/hostap_crypt_tkip.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_crypt_tkip.c
--- devel/drivers/net/wireless/hostap/hostap_crypt_tkip.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_crypt_tkip.c	2005-07-30 00:45:00.000000000 -0700
@@ -10,7 +10,6 @@
  */
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
diff -puN drivers/net/wireless/hostap/hostap_crypt_wep.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_crypt_wep.c
--- devel/drivers/net/wireless/hostap/hostap_crypt_wep.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_crypt_wep.c	2005-07-30 00:45:00.000000000 -0700
@@ -10,7 +10,6 @@
  */
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
diff -puN drivers/net/wireless/hostap/hostap_cs.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_cs.c
--- devel/drivers/net/wireless/hostap/hostap_cs.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_cs.c	2005-07-30 00:45:00.000000000 -0700
@@ -1,7 +1,6 @@
 #define PRISM2_PCCARD
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/if.h>
diff -puN drivers/net/wireless/hostap/hostap_hw.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_hw.c
--- devel/drivers/net/wireless/hostap/hostap_hw.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_hw.c	2005-07-30 00:45:00.000000000 -0700
@@ -31,7 +31,6 @@
 
 
 #include <linux/config.h>
-#include <linux/version.h>
 
 #include <asm/delay.h>
 #include <asm/uaccess.h>
diff -puN drivers/net/wireless/hostap/hostap_pci.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_pci.c
--- devel/drivers/net/wireless/hostap/hostap_pci.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_pci.c	2005-07-30 00:45:00.000000000 -0700
@@ -5,7 +5,6 @@
  * Andy Warner <andyw@pobox.com> */
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/if.h>
diff -puN drivers/net/wireless/hostap/hostap_plx.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/hostap/hostap_plx.c
--- devel/drivers/net/wireless/hostap/hostap_plx.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_plx.c	2005-07-30 00:45:00.000000000 -0700
@@ -8,7 +8,6 @@
 
 
 #include <linux/config.h>
-#include <linux/version.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/if.h>
diff -puN drivers/net/wireless/ipw2100.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/ipw2100.c
--- devel/drivers/net/wireless/ipw2100.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2100.c	2005-07-30 00:45:00.000000000 -0700
@@ -159,7 +159,6 @@ that only one external action is invoked
 #include <linux/stringify.h>
 #include <linux/tcp.h>
 #include <linux/types.h>
-#include <linux/version.h>
 #include <linux/time.h>
 #include <linux/firmware.h>
 #include <linux/acpi.h>
diff -puN drivers/net/wireless/ipw2100.h~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/ipw2100.h
--- devel/drivers/net/wireless/ipw2100.h~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2100.h	2005-07-30 00:45:00.000000000 -0700
@@ -37,7 +37,6 @@
 #include <linux/socket.h>
 #include <linux/if_arp.h>
 #include <linux/wireless.h>
-#include <linux/version.h>
 #include <net/iw_handler.h>	// new driver API
 
 #include <net/ieee80211.h>
diff -puN drivers/net/wireless/ipw2200.c~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/ipw2200.c
--- devel/drivers/net/wireless/ipw2200.c~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2200.c	2005-07-30 00:45:00.000000000 -0700
@@ -7242,11 +7242,7 @@ static int ipw_pci_suspend(struct pci_de
 	/* Remove the PRESENT state of the device */
 	netif_device_detach(dev);
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,10)
-	pci_save_state(pdev, priv->pm_state);
-#else
 	pci_save_state(pdev);
-#endif
 	pci_disable_device(pdev);
 	pci_set_power_state(pdev, pci_choose_state(pdev, state));
 	
@@ -7263,11 +7259,7 @@ static int ipw_pci_resume(struct pci_dev
 
 	pci_set_power_state(pdev, 0);
 	pci_enable_device(pdev);
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,10)
-	pci_restore_state(pdev, priv->pm_state);
-#else
 	pci_restore_state(pdev);
-#endif
 	/*
 	 * Suspend/Resume resets the PCI configuration space, so we have to
 	 * re-disable the RETRY_TIMEOUT register (0x41) to keep PCI Tx retries
diff -puN drivers/net/wireless/ipw2200.h~remove-linux-versionh-from-drivers-net-for-mm drivers/net/wireless/ipw2200.h
--- devel/drivers/net/wireless/ipw2200.h~remove-linux-versionh-from-drivers-net-for-mm	2005-07-30 00:45:00.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2200.h	2005-07-30 00:45:00.000000000 -0700
@@ -34,7 +34,6 @@
 #include <linux/config.h>
 #include <linux/init.h>
 
-#include <linux/version.h>
 #include <linux/pci.h>
 #include <linux/netdevice.h>
 #include <linux/ethtool.h>
@@ -62,15 +61,6 @@ typedef void irqreturn_t;
 #define IRQ_RETVAL(x)
 #endif
 
-#if ( LINUX_VERSION_CODE < KERNEL_VERSION(2,6,9) )
-#define __iomem
-#endif
-
-#if ( LINUX_VERSION_CODE < KERNEL_VERSION(2,6,5) )
-#define pci_dma_sync_single_for_cpu	pci_dma_sync_single
-#define pci_dma_sync_single_for_device	pci_dma_sync_single
-#endif
-
 #ifndef HAVE_FREE_NETDEV
 #define free_netdev(x) kfree(x)
 #endif
_
